com.tibbo.aggregate.common.server

## Interface ReportContextConstants

-     public interface ReportContextConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `A_EDIT_TEMPLATE`
    `static java.lang.String` | `A_EXPORT`
    `static java.lang.String` | `A_EXPORT_REPORT`
    `static java.lang.String` | `A_SEND_BY_MAIL`
    `static java.lang.String` | `A_SHOW_REPORT`
    `static java.lang.String` | `A_VIEW_DATA`
    `static java.lang.String` | `A_VIEW_HISTORY`
    `static java.lang.String` | `CHARACTER_ENCODING_CP1251`
    `static java.lang.String` | `CHARACTER_ENCODING_CP1252`
    `static java.lang.String` | `DELIMITER_COMMA`
    `static java.lang.String` | `DELIMITER_SEMICOLON`
    `static java.lang.String` | `DELIMITER_SPACE`
    `static java.lang.String` | `DELIMITER_TAB`
    `static java.lang.String` | `F_EXPORT`
    `static java.lang.String` | `F_EXPORT_REMOTE`
    `static java.lang.String` | `F_SEND_BY_MAIL`
    `static java.lang.String` | `FIF_EXPORT_CSV_FIELD_DELIMITER`
    `static java.lang.String` | `FIF_EXPORT_FILE`
    `static java.lang.String` | `FIF_EXPORT_FORMAT`
    `static java.lang.String` | `FIF_EXPORT_TARGET_CONTEXT_MASK`
    `static java.lang.String` | `FIF_SEND_BY_MAIL_CSV_FIELD_DELIMITER`
    `static java.lang.String` | `FIF_SEND_BY_MAIL_FILE_NAME`
    `static java.lang.String` | `FIF_SEND_BY_MAIL_FORMAT`
    `static java.lang.String` | `FIF_SEND_BY_MAIL_RECIPIENTS`
    `static java.lang.String` | `FIF_SEND_BY_MAIL_TARGET_CONTEXT_MASK`
    `static java.lang.String` | `FOF_EXPORT_REPORT_VALUE`
    `static java.lang.String` | `JASPER_REPORTS_DEFAULT_PDF_CHARACTER_ENCODING`
    `static java.lang.String` | `JASPER_REPORTS_DEFAULT_PDF_DEFAULT_EMBEDDED_FONTS`
    `static java.lang.String` | `JASPER_REPORTS_FONTS_PACK_FAMILY`
    `static java.lang.String` | `JASPER_REPORTS_PDF_FONT_COURIER`
    `static java.lang.String` | `JASPER_REPORTS_PDF_FONT_COURIER_BOLD`
    `static java.lang.String` | `JASPER_REPORTS_PDF_FONT_COURIER_BOLD_OBLIQUE`
    `static java.lang.String` | `JASPER_REPORTS_PDF_FONT_HELVETICA`
    `static java.lang.String` | `JASPER_REPORTS_PDF_FONT_HELVETICA_BOLD`
    `static java.lang.String` | `JASPER_REPORTS_PDF_FONT_HELVETICA_BOLD_OBLIQUE`
    `static java.lang.String` | `JASPER_REPORTS_PDF_FONT_HELVETICA_OBLIQUE`
    `static java.lang.String` | `JASPER_REPORTS_PDF_FONT_SYMBOL`
    `static java.lang.String` | `JASPER_REPORTS_PDF_FONT_TIMES_BOLD`
    `static java.lang.String` | `JASPER_REPORTS_PDF_FONT_TIMES_BOLD_ITALIC`
    `static java.lang.String` | `JASPER_REPORTS_PDF_FONT_TIMES_ITALIC`
    `static java.lang.String` | `JASPER_REPORTS_PDF_FONT_TIMES_ROMAN`
    `static java.lang.String` | `JASPER_REPORTS_PDF_FONTS_PACK_FAMILY`
    `static java.lang.Integer` | `TYPE_DYNAMIC`
    `static java.lang.Integer` | `TYPE_STATIC`
    `static java.lang.String` | `V_HISTORY`
    `static java.lang.String` | `V_PARAMETERS`
    `static java.lang.String` | `V_PDF_FONT_PARAMETERS`
    `static java.lang.String` | `V_RESOURCES`
    `static java.lang.String` | `V_SUBREPORTS`
    `static java.lang.String` | `VF_HISTORY_DATE`
    `static java.lang.String` | `VF_HISTORY_REPORT`
    `static java.lang.String` | `VF_HISTORY_USER`
    `static java.lang.String` | `VF_PARAMETERS_PARAMETER`
    `static java.lang.String` | `VF_PARAMETERS_VALUE`
    `static java.lang.String` | `VF_PDF_EMBED_FONT`
    `static java.lang.String` | `VF_PDF_ENCODING`
    `static java.lang.String` | `VF_PDF_FONT`
    `static java.lang.String` | `VF_RESOURCES_EXPRESSION`
    `static java.lang.String` | `VF_RESOURCES_NAME`
    `static java.lang.String` | `VF_RESOURCES_RESOURCE`
    `static java.lang.String` | `VF_RESOURCES_TYPE`
    `static java.lang.String` | `VF_SUBREPORTS_DATA_EXPRESSION`
    `static java.lang.String` | `VF_SUBREPORTS_DATA_TYPE`
    `static java.lang.String` | `VF_SUBREPORTS_NAME`
    `static java.lang.String` | `VF_SUBREPORTS_TEMPLATE`
    `static java.lang.String` | `VF_SUBREPORTS_TEMPLATE_EXPRESSION`
    `static java.lang.String` | `VF_SUBREPORTS_TEMPLATE_TYPE`

- - ### Field Detail

    - #### V_PARAMETERS

          static final java.lang.String V_PARAMETERS

      See Also:
        Constant Field Values

    - #### V_HISTORY

          static final java.lang.String V_HISTORY

      See Also:
        Constant Field Values

    - #### V_RESOURCES

          static final java.lang.String V_RESOURCES

      See Also:
        Constant Field Values

    - #### V_SUBREPORTS

          static final java.lang.String V_SUBREPORTS

      See Also:
        Constant Field Values

    - #### V_PDF_FONT_PARAMETERS

          static final java.lang.String V_PDF_FONT_PARAMETERS

      See Also:
        Constant Field Values

    - #### F_EXPORT

          static final java.lang.String F_EXPORT

      See Also:
        Constant Field Values

    - #### F_SEND_BY_MAIL

          static final java.lang.String F_SEND_BY_MAIL

      See Also:
        Constant Field Values

    - #### F_EXPORT_REMOTE

          static final java.lang.String F_EXPORT_REMOTE

      See Also:
        Constant Field Values

    - #### A_SEND_BY_MAIL

          static final java.lang.String A_SEND_BY_MAIL

      See Also:
        Constant Field Values

    - #### A_VIEW_DATA

          static final java.lang.String A_VIEW_DATA

      See Also:
        Constant Field Values

    - #### A_VIEW_HISTORY

          static final java.lang.String A_VIEW_HISTORY

      See Also:
        Constant Field Values

    - #### A_EDIT_TEMPLATE

          static final java.lang.String A_EDIT_TEMPLATE

      See Also:
        Constant Field Values

    - #### A_SHOW_REPORT

          static final java.lang.String A_SHOW_REPORT

      See Also:
        Constant Field Values

    - #### A_EXPORT

          static final java.lang.String A_EXPORT

      See Also:
        Constant Field Values

    - #### A_EXPORT_REPORT

          static final java.lang.String A_EXPORT_REPORT

      See Also:
        Constant Field Values

    - #### VF_PARAMETERS_VALUE

          static final java.lang.String VF_PARAMETERS_VALUE

      See Also:
        Constant Field Values

    - #### VF_PARAMETERS_PARAMETER

          static final java.lang.String VF_PARAMETERS_PARAMETER

      See Also:
        Constant Field Values

    - #### VF_RESOURCES_TYPE

          static final java.lang.String VF_RESOURCES_TYPE

      See Also:
        Constant Field Values

    - #### VF_RESOURCES_RESOURCE

          static final java.lang.String VF_RESOURCES_RESOURCE

      See Also:
        Constant Field Values

    - #### VF_RESOURCES_NAME

          static final java.lang.String VF_RESOURCES_NAME

      See Also:
        Constant Field Values

    - #### VF_RESOURCES_EXPRESSION

          static final java.lang.String VF_RESOURCES_EXPRESSION

      See Also:
        Constant Field Values

    - #### VF_SUBREPORTS_NAME

          static final java.lang.String VF_SUBREPORTS_NAME

      See Also:
        Constant Field Values

    - #### VF_SUBREPORTS_TEMPLATE_TYPE

          static final java.lang.String VF_SUBREPORTS_TEMPLATE_TYPE

      See Also:
        Constant Field Values

    - #### VF_SUBREPORTS_TEMPLATE

          static final java.lang.String VF_SUBREPORTS_TEMPLATE

      See Also:
        Constant Field Values

    - #### VF_SUBREPORTS_TEMPLATE_EXPRESSION

          static final java.lang.String VF_SUBREPORTS_TEMPLATE_EXPRESSION

      See Also:
        Constant Field Values

    - #### VF_SUBREPORTS_DATA_TYPE

          static final java.lang.String VF_SUBREPORTS_DATA_TYPE

      See Also:
        Constant Field Values

    - #### VF_SUBREPORTS_DATA_EXPRESSION

          static final java.lang.String VF_SUBREPORTS_DATA_EXPRESSION

      See Also:
        Constant Field Values

    - #### VF_HISTORY_DATE

          static final java.lang.String VF_HISTORY_DATE

      See Also:
        Constant Field Values

    - #### VF_HISTORY_USER

          static final java.lang.String VF_HISTORY_USER

      See Also:
        Constant Field Values

    - #### VF_HISTORY_REPORT

          static final java.lang.String VF_HISTORY_REPORT

      See Also:
        Constant Field Values

    - #### VF_PDF_ENCODING

          static final java.lang.String VF_PDF_ENCODING

      See Also:
        Constant Field Values

    - #### VF_PDF_FONT

          static final java.lang.String VF_PDF_FONT

      See Also:
        Constant Field Values

    - #### VF_PDF_EMBED_FONT

          static final java.lang.String VF_PDF_EMBED_FONT

      See Also:
        Constant Field Values

    - #### FIF_EXPORT_FILE

          static final java.lang.String FIF_EXPORT_FILE

      See Also:
        Constant Field Values

    - #### FIF_EXPORT_FORMAT

          static final java.lang.String FIF_EXPORT_FORMAT

      See Also:
        Constant Field Values

    - #### FIF_EXPORT_CSV_FIELD_DELIMITER

          static final java.lang.String FIF_EXPORT_CSV_FIELD_DELIMITER

      See Also:
        Constant Field Values

    - #### FIF_EXPORT_TARGET_CONTEXT_MASK

          static final java.lang.String FIF_EXPORT_TARGET_CONTEXT_MASK

      See Also:
        Constant Field Values

    - #### FIF_SEND_BY_MAIL_RECIPIENTS

          static final java.lang.String FIF_SEND_BY_MAIL_RECIPIENTS

      See Also:
        Constant Field Values

    - #### FIF_SEND_BY_MAIL_FORMAT

          static final java.lang.String FIF_SEND_BY_MAIL_FORMAT

      See Also:
        Constant Field Values

    - #### FIF_SEND_BY_MAIL_CSV_FIELD_DELIMITER

          static final java.lang.String FIF_SEND_BY_MAIL_CSV_FIELD_DELIMITER

      See Also:
        Constant Field Values

    - #### FIF_SEND_BY_MAIL_TARGET_CONTEXT_MASK

          static final java.lang.String FIF_SEND_BY_MAIL_TARGET_CONTEXT_MASK

      See Also:
        Constant Field Values

    - #### FIF_SEND_BY_MAIL_FILE_NAME

          static final java.lang.String FIF_SEND_BY_MAIL_FILE_NAME

      See Also:
        Constant Field Values

    - #### FOF_EXPORT_REPORT_VALUE

          static final java.lang.String FOF_EXPORT_REPORT_VALUE

      See Also:
        Constant Field Values

    - #### TYPE_STATIC

          static final java.lang.Integer TYPE_STATIC

    - #### TYPE_DYNAMIC

          static final java.lang.Integer TYPE_DYNAMIC

    - #### JASPER_REPORTS_FONTS_PACK_FAMILY

          static final java.lang.String JASPER_REPORTS_FONTS_PACK_FAMILY

      See Also:
        Constant Field Values

    - #### CHARACTER_ENCODING_CP1251

          static final java.lang.String CHARACTER_ENCODING_CP1251

      See Also:
        Constant Field Values

    - #### CHARACTER_ENCODING_CP1252

          static final java.lang.String CHARACTER_ENCODING_CP1252

      See Also:
        Constant Field Values

    - #### JASPER_REPORTS_PDF_FONT_COURIER

          static final java.lang.String JASPER_REPORTS_PDF_FONT_COURIER

      See Also:
        Constant Field Values

    - #### JASPER_REPORTS_PDF_FONT_COURIER_BOLD

          static final java.lang.String JASPER_REPORTS_PDF_FONT_COURIER_BOLD

      See Also:
        Constant Field Values

    - #### JASPER_REPORTS_PDF_FONT_COURIER_BOLD_OBLIQUE

          static final java.lang.String JASPER_REPORTS_PDF_FONT_COURIER_BOLD_OBLIQUE

      See Also:
        Constant Field Values

    - #### JASPER_REPORTS_PDF_FONT_HELVETICA

          static final java.lang.String JASPER_REPORTS_PDF_FONT_HELVETICA

      See Also:
        Constant Field Values

    - #### JASPER_REPORTS_PDF_FONT_HELVETICA_BOLD

          static final java.lang.String JASPER_REPORTS_PDF_FONT_HELVETICA_BOLD

      See Also:
        Constant Field Values

    - #### JASPER_REPORTS_PDF_FONT_HELVETICA_BOLD_OBLIQUE

          static final java.lang.String JASPER_REPORTS_PDF_FONT_HELVETICA_BOLD_OBLIQUE

      See Also:
        Constant Field Values

    - #### JASPER_REPORTS_PDF_FONT_HELVETICA_OBLIQUE

          static final java.lang.String JASPER_REPORTS_PDF_FONT_HELVETICA_OBLIQUE

      See Also:
        Constant Field Values

    - #### JASPER_REPORTS_PDF_FONT_SYMBOL

          static final java.lang.String JASPER_REPORTS_PDF_FONT_SYMBOL

      See Also:
        Constant Field Values

    - #### JASPER_REPORTS_PDF_FONT_TIMES_ROMAN

          static final java.lang.String JASPER_REPORTS_PDF_FONT_TIMES_ROMAN

      See Also:
        Constant Field Values

    - #### JASPER_REPORTS_PDF_FONT_TIMES_BOLD

          static final java.lang.String JASPER_REPORTS_PDF_FONT_TIMES_BOLD

      See Also:
        Constant Field Values

    - #### JASPER_REPORTS_PDF_FONT_TIMES_BOLD_ITALIC

          static final java.lang.String JASPER_REPORTS_PDF_FONT_TIMES_BOLD_ITALIC

      See Also:
        Constant Field Values

    - #### JASPER_REPORTS_PDF_FONT_TIMES_ITALIC

          static final java.lang.String JASPER_REPORTS_PDF_FONT_TIMES_ITALIC

      See Also:
        Constant Field Values

    - #### JASPER_REPORTS_PDF_FONTS_PACK_FAMILY

          static final java.lang.String JASPER_REPORTS_PDF_FONTS_PACK_FAMILY

      See Also:
        Constant Field Values

    - #### JASPER_REPORTS_DEFAULT_PDF_CHARACTER_ENCODING

          static final java.lang.String JASPER_REPORTS_DEFAULT_PDF_CHARACTER_ENCODING

      See Also:
        Constant Field Values

    - #### JASPER_REPORTS_DEFAULT_PDF_DEFAULT_EMBEDDED_FONTS

          static final java.lang.String JASPER_REPORTS_DEFAULT_PDF_DEFAULT_EMBEDDED_FONTS

      See Also:
        Constant Field Values

    - #### DELIMITER_COMMA

          static final java.lang.String DELIMITER_COMMA

      See Also:
        Constant Field Values

    - #### DELIMITER_SEMICOLON

          static final java.lang.String DELIMITER_SEMICOLON

      See Also:
        Constant Field Values

    - #### DELIMITER_TAB

          static final java.lang.String DELIMITER_TAB

      See Also:
        Constant Field Values

    - #### DELIMITER_SPACE

          static final java.lang.String DELIMITER_SPACE

      See Also:
        Constant Field Values